Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_top
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_top	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_top	(revision 3646)
@@ -0,0 +1,100 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/TOP1 :  1 - tracer definition                     (namtrc    )
+!! namelists    2 - dynamical tracer trends               (namtrc_trd)
+!!              3 - tracer advection                      (namtrc_adv)
+!!              4 - tracer lateral diffusion              (namtrc_ldf)
+!!              5 - tracer vertical physics               (namtrc_zdf)
+!!              6 - tracer newtonian damping              (namtrc_dmp)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namtrc     !   tracers definition
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   nn_dttrc      =  1        !  time step frequency for passive sn_tracers      
+   nn_writetrc   =  360     !  time step frequency for sn_tracer outputs
+   ln_top_euler  = .true.   !  use Euler timestepping at first step (T) or not (F)
+   ln_rsttr      = .false.   !  start from a restart file (T) or not (F)
+   nn_rsttr      =   0       !  restart control = 0 initial time step is not compared to the restart file value
+                           !                  = 1 do not use the value in the restart file
+                           !                  = 2 calendar parameters read in the restart file
+   cn_trcrst_in  = "restart_trc"   !  suffix of pass. sn_tracer restart name (input)
+   cn_trcrst_out = "restart_trc"   !  suffix of pass. sn_tracer restart name (output)
+   ln_trcdta     =  .false.        !  Initialisation from data input file (T) or not (F)
+!
+!              !    name   !           title of the field              !   units    ! initial data ! save   !
+!              !           !                                           !            ! from file    ! or not ! 
+!              !           !                                           !            ! or not       !        !
+   sn_tracer(1)   = 'DUMMY   ' , 'Dummy tracer      '                 ,  'dummy-units' ,  .false.     ,  .true.
+/
+!-----------------------------------------------------------------------
+&namtrc_adv    !   advection scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcadv_cen2   =  .false.  !  2nd order centered scheme   
+   ln_trcadv_tvd    =  .true.  !  TVD scheme
+   ln_trcadv_muscl  =  .false.   !  MUSCL scheme
+   ln_trcadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries
+   ln_trcadv_ubs    =  .false.  !  UBS scheme
+   ln_trcadv_qck    =  .false.  !  QUICKEST scheme
+/
+!-----------------------------------------------------------------------
+&namtrc_ldf    !   lateral diffusion scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcldf_diff   =  .true.   !  performs lateral diffusion (T) or not (F)
+!                               !  Type of the operator : 
+   ln_trcldf_lap    =  .true.   !     laplacian operator       
+   ln_trcldf_bilap  =  .false.  !     bilaplacian operator     
+                                !  Direction of action  :
+   ln_trcldf_level  =  .false.  !     iso-level                
+   ln_trcldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_trcldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   rn_ahtrb_0       =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
+/
+!-----------------------------------------------------------------------
+&namtrc_zdf        !   vertical physics
+!-----------------------------------------------------------------------
+   ln_trczdf_exp   =  .false.  !  split explicit (T) or implicit (F) time stepping
+   nn_trczdf_exp   =   3       !  number of sub-timestep for ln_trczdfexp=T
+/
+!-----------------------------------------------------------------------
+&namtrc_rad        !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dmp    !   passive tracer newtonian damping
+!-----------------------------------------------------------------------
+/
+
+!-----------------------------------------------------------------------
+&namtrc_dta
+!-----------------------------------------------------------------------
+!              ! file name                ! frequency (hr) ! variable ! time interp. ! clim    !'yearly' or ! weights  ! rotation
+!              !                          !  (if <0 mon)   !   name   !  (logical)   ! (T/F)   ! 'monthly'  ! filename ! pairing
+   sn_trcdta(1)  = 'data_O2_nomask'       ,        -1      ,  'O2'      ,    .true.  , .true.  , 'yearly'   , ''       , ''
+   sn_trcdta(2)  = 'data_PO4_nomask'      ,        -1      ,  'PO4'     ,    .true.  , .true.  , 'yearly'   , ''       , ''
+   sn_trcdta(3)  = 'data_NO3_nomask'      ,        -1      ,  'NO3'     ,    .true.  , .true.  , 'yearly'   , ''       , ''
+   sn_trcdta(6)  = 'data_Si_nomask'       ,        -1      ,  'Si'      ,    .true.  , .true.  , 'yearly'   , ''       , ''
+   sn_trcdta(43) = 'data_DOC_nomask'      ,        -12     ,  'DOC'     ,    .false. , .true.  , 'yearly'   , ''       , ''
+   sn_trcdta(49) = 'data_DIC_nomask'      ,        -12     ,  'DIC'     ,    .false. , .true.  , 'yearly'   , ''       , ''
+   sn_trcdta(50) = 'data_Alkalini_nomask' ,        -12     ,  'Alkalini',    .false. , .true.  , 'yearly'   , ''       , ''
+   !
+   cn_dir       = './'     !  root directory for the location of the input files
+/
+
+!-----------------------------------------------------------------------
+&namtrc_bc
+!-----------------------------------------------------------------------
+!              ! file name                ! frequency (hr) ! variable ! time interp. ! clim    !'yearly' or ! weights  ! rotation
+!              !                          !  (if <0 mon)   !   name   !  (logical)   ! (T/F)   ! 'monthly'  ! filename ! pairing
+   sn_trcsbc(3)  = 'ndeposition.orca.nc'  ,        -12     ,  ''      ,    .true.  , .true.  , 'yearly'   , ''       , ''
+   !
+   cn_dir       = './'     !  root directory for the location of the boundary condition files
+/
+!-----------------------------------------------------------------------
+&namtrc_trd       !   diagnostics on tracer trends        ('key_trdtrc')
+!                          or mixed-layer trends          ('key_trdmld_trc')
+!----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dia       !   parameters for passive tracer additional diagnostics
+!----------------------------------------------------------------------
+/
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/runscript
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/runscript	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/runscript	(revision 3646)
@@ -0,0 +1,43 @@
+#! /bin/sh 
+
+#BSUB -a poe
+#BSUB -J GYRE_BFM         # Name of the job.
+#BSUB -o GYRE_BFM_%J.out  # Appends std output to file %J.out.
+#BSUB -e GYRE_BFM_%J.err  # Appends std error to file %J.out.
+#BSUB -P nemo
+#BSUB -q poe_short    # queue
+#BSUB -n 4            # Number of CPUs
+##BSUB -x 
+###BSUB -R "span[ptile=32]"
+
+set -evx
+
+export MP_WAIT_MODE=poll
+export MP_POLLING_INTERVAL=30000000
+export MP_SHARED_MEMORY=yes
+export MP_EUILIB=us
+export MP_EUIDEVICE=sn_all
+export LDR_CNTRL=TEXTPSIZE=64K@STACKPSIZE=64K@DATAPSIZE=64K
+export MP_TASK_AFFINITY=core
+
+EXP="EXP00"
+
+workdir="/data/ans033/EXPERIMENTS/GYRE_BFM/${EXP}"
+execdir=`pwd`
+
+if [ ! -d ${workdir} ] ; then
+  mkdir -p ${workdir}
+fi
+
+cd ${workdir}
+rm -rf *
+# Copy files to exp folder
+cp ${execdir}/opa ./opa.x
+cp ${execdir}/* ./
+
+# Launch the model
+
+time mpirun.lsf opa.x 
+
+echo " ${EXP} DONEEE!!!"
+
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/xmlio_server.def
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/xmlio_server.def	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/xmlio_server.def	(revision 3646)
@@ -0,0 +1,35 @@
+! xmlio_server namelist
+!
+! using_server: .TRUE.(.FALSE.) to use(bypass) the io_server
+! using_oasis : .TRUE.(.FALSE.) if nemo is coupled through OASIS
+! client_id   : used only for OASIS, NEMO      id in the namecouple 
+! server_id   : used only for OASIS, io_server id in the namecouple
+!
+&coupling_param
+  using_server = .FALSE.
+  using_oasis  = .FALSE.
+  client_id    = 'nemo.x'
+  server_id    = 'ionemo'
+/
+
+! global_mpi_buffer_size: size in Mo of the MPI buffer used by the io_server
+&mpi_param
+  global_mpi_buffer_size = 512
+/  
+
+!!======================================================================
+!!   namnc4            netcdf4 chunking and compression settings
+!!======================================================================
+!-----------------------------------------------------------------------
+&namnc4         !  netcdf4 chunking and compression settings
+                !  (benign if "key_netcdf4" is not used)
+!-----------------------------------------------------------------------
+   nn_nchunks_i   =   4       !  number of chunks in i-dimension
+   nn_nchunks_j   =   4       !  number of chunks in j-dimension
+   nn_nchunks_k   =   31      !  number of chunks in k-dimension
+                              !  setting nn_nchunks_k = jpk will give a chunk size of 1 in the vertical which
+                              !  is optimal for postprocessing which works exclusively with horizontal slabs
+   ln_nc4zip      =   .TRUE.  !  (T) use netcdf4 chunking and compression
+                              !  (F) ignore chunking information and produce netcdf3-compatible files  
+/
+  
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/README
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/README	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/README	(revision 3646)
@@ -0,0 +1,4 @@
+To compile with the BFM:
+export BFMDIR=path/to/bfm
+cd ..
+./makenemo -n GYRE_BFM -m ARCHFILE -e $BFMDIR/src/nemo -j 8
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/cpp_GYRE_BFM.fcm
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/cpp_GYRE_BFM.fcm	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE_BFM/cpp_GYRE_BFM.fcm	(revision 3646)
@@ -0,0 +1,2 @@
+bld::tool::fppkeys  key_gyre key_dynspg_flt key_ldfslp key_zdftke key_vectopt_loop key_top key_my_trc key_mpp_mpi
+inc $BFMDIR/src/nemo/bfm.fcm
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 3645)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 3646)
@@ -144,5 +144,7 @@
                            !     =2 annual global mean of e-p-r set to zero
                            !     =3 global emp set to zero and spread out over erp area
+   ln_wave = .false.       !  Activate coupling with wave (either Stokes Drift or Drag coefficient, or both)  (T => fill namsbc_wave)
    ln_cdgw = .false.       !  Neutral drag coefficient read from wave model (T => fill namsbc_wave)
+   ln_sdw  = .false.       !  Computation of 3D stokes drift                (T => fill namsbc_wave)
 /
 !-----------------------------------------------------------------------
@@ -967,4 +969,7 @@
 !              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
    sn_cdg      =  'cdg_wave' ,        1          , 'drag_coeff' , .true.   , .false. , 'daily'  ,''         , ''
+   sn_usd      =  'sdw_wave' ,        1          , 'u_sd2d'     , .true.   , .false. , 'daily'  ,''         , ''
+   sn_vsd      =  'sdw_wave' ,        1          , 'v_sd2d'     , .true.   , .false. , 'daily'  ,''         , ''
+   sn_wn       =  'sdw_wave' ,        1          , 'wave_num'   , .true.   , .false. , 'daily'  ,''         , ''
 !
    cn_dir_cdg  = './'  !  root directory for the location of drag coefficient files
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 3645)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 3646)
@@ -144,5 +144,7 @@
                            !     =2 annual global mean of e-p-r set to zero
                            !     =3 global emp set to zero and spread out over erp area
-   ln_cdgw = .false.       !  Neutral drag coefficient read from wave model (T => fill namsbc_wave )
+   ln_wave = .false.       !  Activate coupling with wave (either Stokes Drift or Drag coefficient, or both)  (T => fill namsbc_wave)
+   ln_cdgw = .false.       !  Neutral drag coefficient read from wave model (T => fill namsbc_wave)
+   ln_sdw  = .false.       !  Computation of 3D stokes drift                (T => fill namsbc_wave)
 /
 !-----------------------------------------------------------------------
@@ -964,4 +966,7 @@
 !              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
    sn_cdg      =  'cdg_wave' ,        1          , 'drag_coeff' , .true.   , .false. , 'daily'  ,''         , ''
+   sn_usd      =  'sdw_wave' ,        1          , 'u_sd2d'     , .true.   , .false. , 'daily'  ,''         , ''
+   sn_vsd      =  'sdw_wave' ,        1          , 'v_sd2d'     , .true.   , .false. , 'daily'  ,''         , ''
+   sn_wn       =  'sdw_wave' ,        1          , 'wave_num'   , .true.   , .false. , 'daily'  ,''         , ''
 !
    cn_dir_cdg  = './'  !  root directory for the location of drag coefficient files
